Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRSourceCompileTask

    java.lang.Object
      net.sf.jasperreports.engine.design.JRSourceCompileTask

    public class JRSourceCompileTask

extends java.lang.Object

Expression evaluator source code generation information.

Version:
  $Id: JRSourceCompileTask.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`` | `JRSourceCompileTask(JasperDesign jasperDesign, JRDesignCrosstab crosstab, JRExpressionCollector expressionCollector, java.lang.String unitName)` Creates source code generation information for a crosstab of a report.
`` | `JRSourceCompileTask(JasperDesign jasperDesign, JRDesignDataset dataset, JRExpressionCollector expressionCollector, java.lang.String unitName)` Creates source code generation information for a dataset of a report.
`protected` | `JRSourceCompileTask(JasperDesign jasperDesign, java.lang.String unitName, JRExpressionCollector expressionCollector, java.util.Map parametersMap, java.util.Map fieldsMap, java.util.Map variablesMap, JRVariable[] variables, boolean onlyDefaultEvaluation)`

Method Summary
`JRExpression` | `getExpression(int expressionId)`
`java.lang.Integer` | `getExpressionId(JRExpression expression)`
`java.util.List` | `getExpressions()`
`java.util.Map` | `getFieldsMap()`
`java.lang.String[]` | `getImports()`
`JasperDesign` | `getJasperDesign()`
`java.util.Map` | `getParametersMap()`
`java.lang.String` | `getUnitName()`
`JRVariable[]` | `getVariables()`
`java.util.Map` | `getVariablesMap()`
`boolean` | `isOnlyDefaultEvaluation()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRSourceCompileTask

    protected JRSourceCompileTask(JasperDesign jasperDesign,
                                  java.lang.String unitName,
                                  JRExpressionCollector expressionCollector,
                                  java.util.Map parametersMap,
                                  java.util.Map fieldsMap,
                                  java.util.Map variablesMap,
                                  JRVariable[] variables,
                                  boolean onlyDefaultEvaluation)

### JRSourceCompileTask

    public JRSourceCompileTask(JasperDesign jasperDesign,
                               JRDesignDataset dataset,
                               JRExpressionCollector expressionCollector,
                               java.lang.String unitName)

  Creates source code generation information for a dataset of a report.

  Parameters:
    `jasperDesign` - the report
    `dataset` - the dataset
    `expressionCollector` - the expression collector used for the report
    `unitName` - the unit name of the code to be generated

### JRSourceCompileTask

    public JRSourceCompileTask(JasperDesign jasperDesign,
                               JRDesignCrosstab crosstab,
                               JRExpressionCollector expressionCollector,
                               java.lang.String unitName)

  Creates source code generation information for a crosstab of a report.

  Parameters:
    `jasperDesign` - the report
    `crosstab` - the crosstab
    `expressionCollector` - the expression collector used for the report
    `unitName` - the unit name of the code to be generated

Method Detail

### getExpressions

    public java.util.List getExpressions()

### getFieldsMap

    public java.util.Map getFieldsMap()

### getJasperDesign

    public JasperDesign getJasperDesign()

### getImports

    public java.lang.String[] getImports()

### isOnlyDefaultEvaluation

    public boolean isOnlyDefaultEvaluation()

### getParametersMap

    public java.util.Map getParametersMap()

### getUnitName

    public java.lang.String getUnitName()

### getVariables

    public JRVariable[] getVariables()

### getVariablesMap

    public java.util.Map getVariablesMap()

### getExpressionId

    public java.lang.Integer getExpressionId(JRExpression expression)

### getExpression

    public JRExpression getExpression(int expressionId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com